﻿$ErrorActionPreference = 'Stop'; # stop on all errors


$packageName= 'anaconda3' # arbitrary name for the package, used in messages
$url        = 'http://repo.continuum.io/archive/Anaconda3-4.0.0-Windows-x86.exe' # download url
$url64      = 'http://repo.continuum.io/archive/Anaconda3-4.0.0-Windows-x86_64.exe' # 64bit URL here or remove - if installer is both, use $url

$packageArgs = @{
  packageName   = $packageName
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64
  #file         = $fileLocation

  silentArgs    = "/AddToPath=0  /InstallationType=AllUsers /S /D=C:\Program Files\Anaconda3\"
  validExitCodes= @(0)

  softwareName  = 'Anaconda3' #part or all of the Display Name as you see it in Programs and Features. It should be enough to be unique
  checksum      = 'ae5c9ba0c6f4639fbf94848f81c3d4b4'
  checksumType  = 'md5' #default is md5, can also be sha1
  checksum64    = 'a6b7a787c6c574867cee3f2d12ecfc50'
  checksumType64= 'md5' #default is checksumType
}

Write-Host 'installing anaconda3, this can take a long time.'
Write-Host 'Please sit back and relax'
Install-ChocolateyPackage @packageArgs
